summaryrefslogtreecommitdiffstats
path: root/data
diff options
context:
space:
mode:
authorSimon Rettberg2014-02-03 17:14:16 +0100
committerSimon Rettberg2014-02-03 17:14:16 +0100
commit4af465b0a445237627c4c6f248737b4a9a5515e1 (patch)
treecf1ff9f023acc05fa9895d89d1b6395244b7f080 /data
parentMerge branch 'master' of dnbd3:openslx-ng/tm-scripts (diff)
downloadtm-scripts-4af465b0a445237627c4c6f248737b4a9a5515e1.tar.gz
tm-scripts-4af465b0a445237627c4c6f248737b4a9a5515e1.tar.xz
tm-scripts-4af465b0a445237627c4c6f248737b4a9a5515e1.zip
My first steps when taking a look at the prop nvidia drivers
Tried to extract the drivers and doing a fake install into a specific directory without messing up the system. Doesn't really work yet. Didn't have any more time/better things to do then. This stuff is about a year old....
Diffstat (limited to 'data')
-rwxr-xr-xdata/nvidia-driver-extraction-experiments.sh66
1 files changed, 66 insertions, 0 deletions
diff --git a/data/nvidia-driver-extraction-experiments.sh b/data/nvidia-driver-extraction-experiments.sh
new file mode 100755
index 00000000..edc06424
--- /dev/null
+++ b/data/nvidia-driver-extraction-experiments.sh
@@ -0,0 +1,66 @@
+#!/bin/bash
+
+ROOT_DIR="$HOME"
+
+. "/root/tm-scripts/helper/logging.inc" || exit 1
+
+# XXX: Mounts stuff from my NFS....
+[ ! -d /mnt/store ] && mkdir -p /mnt/store
+if [ "x$(ls /mnt/store/drivers)" == "x" ]; then
+ mount -t nfs -o ro,async,nolock 132.230.8.113:/srv/vmext /mnt/store || perror "Could not mount vmware bundle directory. Exiting."
+fi
+
+# There is no generic "--root-prefix=" option, so we have to pass a shitload of arguments, and even then the installer
+# does some stuff in your actual system tree... :-( better do some sort of chroot?
+function gogo()
+{
+
+ local DIR="$ROOT_DIR/build"
+ mkdir -p "$DIR" || perror "Couldn ot create $DIR"
+
+ local XPREFIX="/usr"
+
+ set -x
+
+ local XLP="$(X -showDefaultLibPath 2>&1)"
+ [ -z "$XLP" ] && XLP="$(pkg-config --variable=libdir xorg-server 2>&1)"
+ [ -z "$XLP" ] && XLP="$XPREFIX"
+ [ -z "$XLP" ] && perror "Could not determine X lib path"
+
+ local XMP="$(X -showDefaultModulePath 2>&1)"
+ [ -z "$XMP" ] && XMP="$(pkg-config --variable=moduledir xorg-server 2>&1)"
+ [ -z "$XMP" ] && XMP="$XLP"
+ [ -z "$XMP" ] && perror "Could not determine X module path"
+
+ cd /mnt/store/drivers || perror "No /mnt/store/drivers"
+ set -x
+ # TODO: Insert proper kernel name and path from our own kernel <----- XXX
+ ./NVIDIA-Linux-x86-319.23.run -a --x-prefix="$DIR/$XPREFIX" --x-module-path="$DIR/$XMP" --x-library-path="$DIR/$XLP" --opengl-prefix="$DIR/usr" --utility-prefix="$DIR/usr" --documentation-prefix="$DIR/garbage" --application-profile-path="$DIR/usr/share/nvidia" --kernel-source-path="/root/tm-scripts/remote/modules/kernel/ksrc" --kernel-install-path="$DIR/lib/modules/nvidia" --log-file-name="$DIR/install-log" --ui=none --no-nvidia-modprobe --kernel-name="3.7.10-1.11-desktop-openslx" --no-precompiled-interface --no-rpms --no-network --no-x-check --no-nouveau-check --no-distro-scripts --kernel-module-source-prefix="$DIR/usr/src" --no-questions
+ set +x
+
+}
+
+gogo
+
+# --no-questions
+# -a
+# --x-prefix= ..../usr
+# --x-module-path= ... + X -showDefaultModulePath
+# --x-library-path= ... + X -showDefaultLibPath (oder --x-prefix)
+# --opengl-prefix= .../usr
+# --utility-prefix= ..../usr
+# --documentation-prefix= müll
+# --application-profile-path= ??? /usr/share/nvidia
+# --kernel-source-path= unser kack
+# --kernel-install-path= .../lib/modules/nvidia
+# --log-file-name=
+# --ui=none
+# --no-nvidia-modprobe
+# --kernel-name=UNSERKERNEL
+# --no-precompiled-interface
+# --no-rpms
+# --no-network
+# --no-x-check
+# --no-nouveau-check
+# --no-distro-scripts
+# --kernel-module-source-prefix= ..../usr/src